with import <nixpkgs> {};
stdenv.mkDerivation rec {
  name = "eclipse-clp-${version}";
  version = "5.10_147";

  src = fetchurl {
    url = "http://eclipseclp.org/Distribution/Old/${version}/src/eclipse_src.tgz";
    sha256 = "1473b1byfjgygf80sqyjjl53pvybcyyr397w23f2gn64cv68f6qx";
  };

  # configureFlags = [ "--without-tcl" ];

  preConfigure = ''
    find -name Makefile.in | xargs sed -i "s,/bin/\(cp\|mv\|chmod\|pwd\),${coreutils}&,g"
    sed -i "s,/bin/pwd,pwd,g;s,/usr/bin/ranlib,ranlib,g" RUNME
    sed -i "s/-fforce-mem/-D_GNU_SOURCE/" configure
    cp sepia/include/*.h icparc_solvers/
  '';

  postConfigure = ''
    ln -s Makefile.*_* Makefile    # rename Makefile.x86_64_linux
  '';

  postInstall = ''
    # eclipse puts files in bin/x86_64_linux...
    mv $out/bin/*/* $out/bin/
    rmdir $out/bin/*/
  '';

  buildInputs = [ tcl-8_5 gmp ];
  # tcltk, java, mysqlclient, latex
}
